SpyBara
Go Premium

resources/videos/methods/list/index.md 2026-07-07 08:02 UTC to 2026-07-09 20:58 UTC

13 added, 3 removed.

2026
Fri 31 21:03 Thu 30 23:58 Wed 29 15:02 Sat 25 05:59 Thu 23 18:00 Wed 22 20:02 Mon 20 20:00 Fri 17 17:00 Thu 16 20:57 Wed 15 02:58 Tue 14 06:58 Mon 13 15:59 Sun 12 06:58 Fri 10 23:02 Thu 9 20:58 Tue 7 08:02

List videos

get /videos

List videos

Query Parameters

  • after: optional string

    Identifier for the last item from the previous pagination request

  • limit: optional number

    Number of items to retrieve

  • order: optional "asc" or "desc"

    Sort order of results by timestamp. Use asc for ascending order or desc for descending order.

    • "asc"

    • "desc"

Returns

  • data: array of Video

    A list of items

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string or VideoSeconds

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

      • string

      • VideoSeconds = "4" or "8" or "12"

        • "4"

        • "8"

        • "12"

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

  • first_id: string

    The ID of the first item in the list.

  • has_more: boolean

    Whether there are more items available.

  • last_id: string

    The ID of the last item in the list.

  • object: "list"

    The type of object returned, must be list.

    • "list"

Example

curl https://api.openai.com/v1/videos \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "data": [
    {
      "id": "id",
      "completed_at": 0,
      "created_at": 0,
      "error": {
        "code": "code",
        "message": "message"
      },
      "expires_at": 0,
      "model": "sora-2",
      "object": "video",
      "progress": 0,
      "prompt": "prompt",
      "remixed_from_video_id": "remixed_from_video_id",
      "seconds": "4",
      "size": "720x1280",
      "status": "queued"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id",
  "object": "list"
}

Example

curl https://api.openai.com/v1/videos \
  -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "data": [
    {
      "id": "video_123",
      "object": "video",
      "model": "sora-2",
      "status": "completed"
    }
  ],
  "object": "list"
}